KBUILDSYCOCA5(8)

NAME
kbuildsycoca5 - Bouwt opnieuw de systeemconfiguratiecache van de desktop-bestanden van KService.

SAMENVATTING

kbuildsycoca5 [OPTIES...]

BESCHRIJVING

kbuildsycoca5 bouwt de binaire cache van de gegevens opgeslagen in .desktop en MIME-type .xml-bestanden die het KService-framework gebruikt om plug-ins, toepassingen en andere services te vinden.

De KService-bibliotheek gebruikt deze database om efficient de gevraagde informatie ervan te leveren.

Gebruikers hoeven normaal deze toepassing niet direct te gebruiken; KService zal het, indien nodig, uitvoeren en als KDED is geïnstalleerd en actief is zal het kbuildsyscoca5 uitvoeren wanneer een van de bestanden waarvan de gegevens in de cache staat zijn gewijzigd.

OPTIES

--checkstamps
    Controleert de datum-tijd informatie van bestanden in de cache en de mappen met gegevens voor de cache en werkt alleen de database bij als één van de mappen is meer recent is gewijzigd dan de leeftijd van de cache. Wordt genegeerd als --nocheckfiles of --noincremental is ingesteld.

--global
    Negeert elk door de gebruiker ingesteld bestand (in XDG_DATA_HOME). Dit wordt nu alleen ondersteunt in Unix systemen.

--nocheckfiles
    Bouwt de cache niet opnieuw tenzij iets anders dan een wijziging in de hulpbronbestanden dat eisen (zoals het wijzigen van het formaat van de cache of als XDG_DATA_DIRS wordt gewijzigd op een Unix systeem). Genegeerd als --global is ingesteld.

--noincremental
    Anders dan de bestaande cache gebruiken en alleen de informatie bijwerken als die is gewijzigd of er is iets toegevoegd, wordt gestart met een lege cache. Wordt genegeerd als --global is ingesteld.

--nosignal
    Gewoonlijk stuurt kbuildsyscoca5 een signaal over de D-Bus, nadat de cache is bijgewerkt, naar alle toepassingen die KService gebruiken zodat ze altijd werken met de laatste informatie. Deze optie onderdrukt dat gedrag.

--menutest
    Test de generatie van de menu-database voor toepassingen. Bouwt niet echt de cache.

--testmode
    Gebruik de "testmodus" QStandardPaths om interferentie met gebruikersgegevens te vermijden. Dit is bedoeld voor gebruik met tests van eenheden.

--track menu-id
    Track een menu-id voor debuggen.

--author
    Auteurinformatie tonen.

--license
    Licentie-informatie tonen.

-h, --help
    Een korte helptekst tonen.

-v , --version
    Versie-informatie tonen

BESTANDEN

cachedir/ksycoca5
    De KService cache gegenereerd door kbuildsycoca5. Op Unix systemen is cachedir typisch ~/.config

cachedir/ksycoca5stamp
    De datum-tijd en andere meta-informatie over het bestand met de hoofdcache. Op Unix systemen is cachedir typisch ~/.config

ZIE OOK

kded5(8), kdeinit5(8)

FOUTEN/BUGS

Er zijn waarschijnlijk vele bugs. Gebruik De volger van bugs van KDE[1] om ze te rapporteren.

AUTHORS

Darian Lanx <content@openprojects.net>
    Schreef de originele documentatie.

Alex Merry <alexmerry@kde.org>
    Heeft de documentatie voor KDE Frameworks 5 bijgewerkt.

NOTES

1.  De volger van bugs van KDE
    http://bugskde.org